/* Estructura general */

.contenidor_show{
  padding: 1%;
}

/* BANNER DE REFERENCIES */

.product_title, .category_name {
  text-align: left;
  margin: 0;
}

.category_name {
  color: rgb(124, 124, 124);
  font-size: 16px;
}

.brand_name, .product_name {
  font-weight: bold;
  font-size: 20px;
}

.brand_name {
  color: rgb(0, 113, 165);
}

.reference_container {
  display: flex;
}

.reference_displayer {
  border: 2px solid rgb(0, 113, 165);
}

.reference_displayer p {
  margin: 0 !important;
  text-align: center;
}

.reference_text {
  border-bottom: 2px solid rgb(0, 113, 165);
}

.reference_text p {
  font-size: 0.9em;
  line-height: 1.2em;
  color: rgb(0, 113, 165);
}

.reference_code {
  background-color: rgb(0, 113, 165);
  color: white;
  padding: 0 1em !important;
}

.reference_code p {
  font-size: 30px;
  line-height: 30px;
}

.btn_container {
  position: relative;
  padding: 0 !important;
  height: 3.5em;
}

.ref_btn {
  position: absolute;
  background-color: #02669B;
  border-radius: 10px;
  align-items: center;
  text-align: center;
  width: 80%;
  height: 100%;
  color: white;
  border: 0;
}

.ref_btn .fa {
  margin: 0;
  font-size: 35px;
}

.reference-empty-helper {
  margin-right: 5px;
}

/** Body **/

.display_info_product .control-label, .display_comments_product .control-label {
  font-weight: normal !important;
  padding-top: 0 !important;
  color: #02669B;
}

.display_info_product .control-text, .display_comments_product .control-text {
  padding-left: 0 !important;
}

.display_info_product .control-text p {
  margin: 0 !important;
}

/*.display_info_product .form-group, .display_comments_product {
  border: 1px solid white;
}

.display_info_product .form-group:hover, .display_comments_product:hover {
  border: 1px solid darkgray;
}

label.control-label {
  white-space: nowrap;
  overflow: hidden;
  /*text-overflow: ellipsis;
}*/

/* Menu de botons */

.option_buttons_struct {
  border-top: 1px solid #02669B;
  border-bottom: 1px solid #02669B;
  padding: 5px 0!important;
}

.option_buttons_struct button {
  float: right;
}

.pdf_modal_init_button {
  margin-right:0!important;
}

.similarproducts {
  margin-top: 10px;
}

.activacions-price .control-label, .activacions-price-oferta .control-label {
  color:black;
  font-weight: bold!important;
  font-size: 22px!important;
}

.activacions-price .control-text p {
  color: #02669B;
  font-weight: bold!important;
  font-size: 22px!important;
}

.activacions-price-oferta .control-text p {
  display:inline-block;
  padding-left: 5px;
  padding-right: 5px;
  color: white;
  background-color: red;
  font-weight: bold!important;
  font-size: 22px!important;
}

.act-special-sale {
  text-decoration:line-through;
  color:darkgray!important;
}

.comments-div {
  padding-top: 15px;
  border-top: 1px solid rgb(116, 116, 116);
}

.comments-div p {
  margin-bottom: 0!important;
}

.reference_displayer {
  position: absolute;
  right:0;
}

    /* Fixes custom properties */
    @media only screen and (max-width : 1530px) {
      .display_info_product_block {
        width: 100%!important;
      }
    }

    /* Large Devices, Wide Screens */
    @media only screen and (max-width : 1200px) {

    }

    /* Medium Devices, Desktops */
    @media only screen and (max-width : 992px) {

      .display_comments_product .control-label {
        text-align:left!important;
      }

      .display_comments_product .control-text {
        padding-left: 15px!important;
      }

      .product-images-container {
        margin-bottom: 20px;
      }

    }

    /* Small Devices, Tablets */
    @media only screen and (max-width : 768px) {
      .product-images-container {
        margin-bottom: 60px;
      }

      .display_info_product .control-label {
        text-align: right;
      }

    }

    /* Extra Small Devices, Phones */
    @media only screen and (max-width : 480px) {
      .reference_displayer {
        right:15px;
      }

      .display_info_product .control-label, .display_comments_product .control-label {
        width: 100%!important;
        text-align: left;
      }

      .display_info_product .control-text, .display_comments_product .control-text {
        padding-left: 15px!important;
      }
    }

    /* Custom, iPhone Retina */
    @media only screen and (max-width : 320px) {

    }
